textures/reverie_b1/lattice1
{
	surfaceparm trans
	nopicmip
	nomipmaps
	{
		map textures/reverie_b1/lattice1
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/reverie_b1/lattice2
{
	surfaceparm trans
	nopicmip
	nomipmaps
	{
		map textures/reverie_b1/lattice2
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/reverie_b1/decal1
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/reverie_b1/decal1.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}

textures/reverie_b1/decal2
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/reverie_b1/decal2.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}

textures/reverie_b1/decal3
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/reverie_b1/decal3.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}

textures/reverie_b1/decal4
{
	qer_editorimage textures/reverie_b1/decal4.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/reverie_b1/decal4.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/reverie_b1/decal5
{
	qer_editorimage textures/reverie_b1/decal5.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/reverie_b1/decal5.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/reverie_b1/decal6
{
	qer_editorimage textures/reverie_b1/decal6.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/reverie_b1/decal6.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/reverie_b1/graffiti1
{
	qer_editorimage textures/reverie_b1/graffiti1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/reverie_b1/graffiti1.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/reverie_b1/graffiti2
{
	qer_editorimage textures/reverie_b1/graffiti2.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/reverie_b1/graffiti2.tga
		blendfunc gl_dst_color gl_src_color
	}
}

models/reverie_b1/glass_wave
{
	q3map_lightimage models/reverie_b1/lamp_light.tga	//the colour of this image, will determine the colour of the light emitted

	q3map_lightsubdivide 32				//default 120, smaller values give more precise light emission.
	q3map_lightmapFilterRadius 0 8			//adds a blur to the light shadows 0= no blur on self
							//change 8 to either 4 or 2 for less blur, or 16 for more
	surfaceparm nomarks
	q3map_surfacelight 25000			//this value determines how much light comes from this surface.
							//don't be shocked with the high value, shaderlights need this
							//15,000 - 50,000 is normal, so you might need to adjust it if neccessary
        {
                map models/reverie_b1/glass_wave.tga
		rgbGen identity
        }	
}

models/reverie_b1/glass_wave2
{
	q3map_lightimage models/reverie_b1/lamp_light.tga	//the colour of this image, will determine the colour of the light emitted

	q3map_lightsubdivide 32				//default 120, smaller values give more precise light emission.
	q3map_lightmapFilterRadius 0 8			//adds a blur to the light shadows 0= no blur on self
							//change 8 to either 4 or 2 for less blur, or 16 for more
	surfaceparm nomarks
	q3map_surfacelight 10000			//this value determines how much light comes from this surface.
							//don't be shocked with the high value, shaderlights need this
							//15,000 - 50,000 is normal, so you might need to adjust it if neccessary
        {
                map models/reverie_b1/glass_wave2.tga
		rgbGen identity
        }	
}

textures/reverie_b1/crystal_2
{
surfaceparm nolightmap
surfaceparm trans
surfaceparm nodlight
surfaceparm nomarks
nopicmip
nomipmaps
{
map textures/reverie_b1/crystal_2.tga
blendfunc GL_DST_COLOR GL_SRC_COLOR
rgbGen identity
}
{
map $lightmap
rgbGen identity
blendFunc filter
}
}

textures/reverie_b1/glass2
{
	qer_editorimage textures/reverie_b1/glass2.tga
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/reverie_b1/crystal.tga
		blendfunc blend
		rgbGen identity
	}
}

textures/reverie_b1/majesty
{
    qer_editorimage textures/lloydmdm2/lmsky2.tga
    surfaceparm nolightmap
    surfaceparm sky

    q3map_sunExt 175 112 253 450 130 55 3 16   //175 112 253   //234 211 149
    q3map_lightRGB 175 112 253   //175 112 253   //234 211 149

    q3map_lightmapFilterRadius 0 64	
    q3map_skylight 325 3
    q3map_backsplash 0 0

     skyparms env/reverie_b1/majesty - -
	
}

textures/reverie_b1/window8
{
surfaceparm nolightmap
surfaceparm trans
surfaceparm nomarks
nopicmip
nomipmaps
{
map textures/reverie_b1/window8.tga
blendfunc GL_DST_COLOR GL_SRC_COLOR
rgbGen identity
}
{
map $lightmap
rgbGen identity
blendFunc filter
}
}

textures/reverie_b1/window_v2
{
surfaceparm nolightmap
surfaceparm trans
surfaceparm nomarks
nopicmip
nomipmaps
{
map textures/reverie_b1/window_v2.tga
blendfunc GL_DST_COLOR GL_SRC_COLOR
rgbGen identity
}
{
map $lightmap
rgbGen identity
blendFunc filter
}
}

textures/reverie_b1/window_v2_2
{
surfaceparm nolightmap
surfaceparm trans
surfaceparm nomarks
nopicmip
nomipmaps
{
map textures/reverie_b1/window_v2_2.tga
blendfunc GL_DST_COLOR GL_SRC_COLOR
rgbGen identity
}
{
map $lightmap
rgbGen identity
blendFunc filter
}
}


textures/reverie_b1/crystal
{
surfaceparm nonsolid
{
map textures/reverie_b1/crystal.tga
alphaFunc GE128
rgbGen vertex
}
}

textures/reverie_b1/rail
{
	surfaceparm trans
	nopicmip
	nomipmaps
	{
		map textures/reverie_b1/rail.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/reverie_b1/crystal_solid
{
surfaceparm slick
{
map textures/reverie_b1/crystal.tga
alphaFunc GE128
rgbGen vertex
}
}
